Namespace
library
Image / Tag
docker:20.10.6-dind
Content Digest
sha256:aa1e1fab842a35f16cf6e8fcb82b77b29be46f6aa8cd0fe69db0908940256be7
Details
Created

2021-04-30 21:19:42 UTC

Size

77.9 MB

Content Digest
Environment
DIND_COMMIT

42b1175eda071c0e9121e1d64345928384a93df1

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.6

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:540db60ca9383eac9e418f78490994d0af424aab7bf6d0e47ac8ed4e2e9bcbba - 3.44% (2.68 MB)

[#001] sha256:5a38b3726f4b24fa93b80450be63ad67fd3239c2f3b83695118d7b1a88447d84 - 2.51% (1.96 MB)

[#002] sha256:e5fa5deb334027202841b051d10e7c7137fa3b63e97734309cedf6b48804df5f - 0.0% (154 Bytes)

[#003] sha256:2b7e0e3b754519331113e409b44b7401dda685cba747e0fbb619b907b85e65a6 - 85.94% (66.9 MB)

[#004] sha256:493333e9491fba57ff1ea5b8058546fc5a3e124d325f8720c018568f852e385b - 0.0% (545 Bytes)

[#005] sha256:28d445cfca767cb2a0dbdc152ed5eeed364db2b6353f8dedf8f917562c116b9b - 0.0% (1018 Bytes)

[#006] sha256:32eb6dfb922720a338efac9871565ad3ca1a3ac69b540f214e1224bc55191c69 - 0.0% (150 Bytes)

[#007] sha256:d639a526fd028c25fcf84da7dae5d0ba63ab0a5e132cba88da1ce6f1d40d26d1 - 8.1% (6.3 MB)

[#008] sha256:eb69747b337f3c255684e18afcbea89c3e3dc53a0a5b4bd06d4b89db997d2861 - 0.0% (1.28 KB)

[#009] sha256:f7e113b274b04ecd11793570ada2f55a1e4c64e0c10db73c1866377cf82cab55 - 0.0% (983 Bytes)

[#010] sha256:f313182f99204b34385f9d3128987fb558f45fad2f6c789693f11bde444b0fc2 - 0.0% (2.45 KB)


History
2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) ADD file:8ec69d882e7f29f0652d537557160e638168550f738d0d49f90a7ef96bf31787 in /

2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-04-14 20:16:58 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2021-04-14 20:16:59 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2021-04-14 20:16:59 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.6

2021-04-14 20:17:06 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.6.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.6.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.6.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.6.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2021-04-14 20:17:06 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2021-04-14 20:17:06 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2021-04-14 20:17:07 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2021-04-14 20:17:08 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2021-04-14 20:17:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-04-14 20:17:08 UTC

/bin/sh -c #(nop) CMD ["sh"]

2021-04-14 20:17:15 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2021-04-14 20:17:16 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2021-04-30 21:19:40 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1

2021-04-30 21:19:41 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2021-04-30 21:19:42 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2021-04-30 21:19:42 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2021-04-30 21:19:42 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2021-04-30 21:19:42 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2021-04-30 21:19:42 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2021-04-30 21:39:56 UTC

Size

72.1 MB

Content Digest
Environment
DIND_COMMIT

42b1175eda071c0e9121e1d64345928384a93df1

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.6

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:595b0fe564bb9444ebfe78288079a01ee6d7f666544028d5e96ba610f909ee43 - 3.59% (2.59 MB)

[#001] sha256:eb54a11eac555b44bc17ba74d0ff040c71b3cac0562a0b84b19685201a773ac7 - 2.72% (1.96 MB)

[#002] sha256:8c5964d9dd6af805b44dbbf9079eba88b5f326689faad3bcf3fc0b68339a048c - 0.0% (154 Bytes)

[#003] sha256:8ffe37171b393d8f891ccf7cd3ecf828de1a45b587316967d6955cadc6feb0b2 - 85.07% (61.4 MB)

[#004] sha256:6add9dedf9956772c56ba7bb894f04e531afe763dc9dd753cbbfda700cbe018d - 0.0% (543 Bytes)

[#005] sha256:628476ac5938e50e94ddb9e070708c79b1287293bd6d3146ee5ec39d9864a115 - 0.0% (1016 Bytes)

[#006] sha256:52073b7ed7757d354dfc128dba505a41a22251ea407e6b248e2bec2755e7e496 - 0.0% (150 Bytes)

[#007] sha256:d32210f5a475458f3e5f74227629dd00fd6bd9f54e04b4dede7dda14ac4f570f - 8.61% (6.21 MB)

[#008] sha256:71ae12cc5f7ced366fa2799ada5fd45c3392d3f566c8836735e88d26cdaa854e - 0.0% (1.28 KB)

[#009] sha256:6b439a2afc6263b7011a56df6bca725184b27ecf1dbaffe19ee2459356969d8a - 0.0% (982 Bytes)

[#010] sha256:196278e3e2de018fc4454f8ee2dbb05e24868fc1c3d908845f2e703fbec6bedd - 0.0% (2.46 KB)


History
2021-04-14 18:42:37 UTC

/bin/sh -c #(nop) ADD file:ca9d8b5d1cc2f2186983fc6b9507da6ada5eb92f2b518c06af1128d5396c6f34 in /

2021-04-14 18:42:38 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-04-14 19:31:28 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2021-04-14 19:31:31 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2021-04-14 19:31:32 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.6

2021-04-14 19:31:41 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.6.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.6.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.6.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.6.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2021-04-14 19:31:43 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2021-04-14 19:31:44 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2021-04-14 19:31:45 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2021-04-14 19:31:48 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2021-04-14 19:31:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-04-14 19:31:49 UTC

/bin/sh -c #(nop) CMD ["sh"]

2021-04-14 19:32:01 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2021-04-14 19:32:04 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2021-04-30 21:39:50 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1

2021-04-30 21:39:52 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2021-04-30 21:39:53 UTC

/bin/sh -c #(nop) COPY file:ba8ee8770c54e5ecc99314148f702a73a1c00c3ef0cc27ff33581d2dbab7456e in /usr/local/bin/

2021-04-30 21:39:54 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2021-04-30 21:39:55 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2021-04-30 21:39:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2021-04-30 21:39:56 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete